Uses of Class
io.github.ravocode.avoonce.jaxrs.IdempotencyJaxRsConfig
Packages that use IdempotencyJaxRsConfig
-
Uses of IdempotencyJaxRsConfig in io.github.ravocode.avoonce.jaxrs
Methods in io.github.ravocode.avoonce.jaxrs that return IdempotencyJaxRsConfigModifier and TypeMethodDescriptionIdempotencyJaxRsConfig.setEnforce(boolean enforce) Enables or disables strict rejection of requests that omit the idempotency header.IdempotencyJaxRsConfig.setHashBody(boolean hashBody) Enables or disables hashing the request body for payload mismatch detection.IdempotencyJaxRsConfig.setHeaderName(String headerName) Sets the HTTP header used to transport the idempotency key.Constructors in io.github.ravocode.avoonce.jaxrs with parameters of type IdempotencyJaxRsConfigModifierConstructorDescriptionIdempotencyContainerFilter(IdempotencyRepository repository, IdempotencyJaxRsConfig config) Creates a filter with custom configuration.